public class Cinema {
	private Theater[] theaters;

	/**
	 * Instantiate a new Cinema by creating an array of theaters with length
	 * numTheaters. Each Theater created should have numShowingsPerTheater showing
	 * blocks.
	 * 
	 * @param numTheaters
	 * @param numShowingsPerTheater
	 */
	public Cinema(int numTheaters, int numShowingsPerTheater) {
		theaters = new Theater[numTheaters];
		for (int i = 0; i < numTheaters; i++) {
			theaters[i] = new Theater(numShowingsPerTheater);
		}
	}

	/**
	 * Add a showing of the Movie `screening` in the specied Theater at the
	 * specified time slot.
	 * 
	 * @param theaterNumber
	 * @param screening
	 * @param slotNumber
	 */
	public void addShowtime(int theaterNumber, Movie screening, int slotNumber) {
		Theater t = this.theaters[theaterNumber];
		t.addShowing(screening, slotNumber);

	}

	/**
	 * Sell numTickets for the showing in the specified Theater at the specified
	 * slot.
	 * 
	 * @param numTickets
	 * @param theaterNumber
	 * @param slotNumber
	 */
	public void sellTickets(int numTickets, int theaterNumber, int slotNumber) {
		Theater t = theaters[theaterNumber];
		Movie m = t.getMovieAtSlot(slotNumber);
		m.addSales(numTickets);
	}

}
